Skip to main content
`Ctrl`+`K`

# SVDIsHyperbolic

Ask if the SVD object corresponds to a hyperbolic singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDIsHyperbolic(SVD svd,PetscBool* is)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- is - the answer

## See Also

SVD: Singular Value Decomposition, `SVDIsGeneralized()`

## Level

intermediate

## Location

src/svd/interface/svdopts.c

## Examples

src/svd/tutorials/ex52.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages